For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all units
        • GETGet a unit by ID
        • PUTUpdate Unit Custom Data: Rentvine
        • POSTCreate Unit File: Rentvine
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RentvineUnits

Get all units

GET
/v1/units/
GET
/v1/units/
$curl https://api.propexo.com/v1/units/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {
5 "field": "created_at",
6 "direction": "desc"
7 }
8 ],
9 "offset": 0,
10 "limit": 100,
11 "hasMore": true,
12 "total": 1000
13 },
14 "results": [
15 {
16 "id": "clwktsp9v000008l31iv218hn",
17 "created_at": "2024-03-21T15:38:08.337Z",
18 "updated_at": "2024-03-22T10:59:45.119Z",
19 "last_seen": "2024-03-22T10:59:45.119Z",
20 "x_id": "65",
21 "x_property_id": "87",
22 "x_floor_plan_id": null,
23 "x_unit_type_id": null,
24 "bathrooms": "2.5",
25 "bathrooms_full": 2,
26 "bathrooms_half": 1,
27 "bedrooms": "3",
28 "building_name": null,
29 "building_number": null,
30 "city": "Boston",
31 "country": "US",
32 "custom_data": {},
33 "floor_plan_code": null,
34 "floor_plan_name": null,
35 "floor": null,
36 "is_available": null,
37 "is_furnished": null,
38 "is_vacant": true,
39 "number": "12B",
40 "rent_amount_market_in_cents": 350000,
41 "rent_amount_max_in_cents": null,
42 "rent_amount_min_in_cents": null,
43 "square_feet": 1200,
44 "state": "MA",
45 "address_1": "123 Main St",
46 "address_2": "Unit 12B",
47 "zip": "02116",
48 "pets_allowed": null,
49 "dogs_allowed": true,
50 "cats_allowed": true,
51 "pet_policy": "Pets allowed with a $300 non-refundable fee and monthly pet rent.",
52 "floor_plan_id": null,
53 "integration_id": "clwh5u07w000508me66sfh3um",
54 "integration_vendor": "RENTVINE",
55 "property_id": "clwi5xiix000008l6ctdgafyh",
56 "unit_type_id": null,
57 "is_listed": null,
58 "street_address_1": null,
59 "street_address_2": null
60 }
61 ]
62}
Get all units
Was this page helpful?
Previous

Get a unit by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external unit id
x_property_idstringOptional

Deprecated: Use the Propexo property_id instead

location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo property id
integration_idstringOptional
The Propexo integration id
integration_vendorenumOptional
The integration vendor for the unit.
unit_numberstringOptional

The number of the unit. When using this, the Propexo property_id filter must be added as well.

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error